Loading...
Searching...
No Matches
tensor4_basic< T >

## Detailed Description

template<class T>
class rheolef::tensor4_basic< T >

Definition at line 80 of file tensor4.h.

## Public Types

typedef size_t | size_type
typedef T | element_type
typedef T | float_type

## Public Member Functions

| tensor4_basic ()
| tensor4_basic (const T &init_val)
| tensor4_basic (const tensor4_basic< T > &a)
| tensor4_basic (const std::initializer_list< std::initializer_list< std::initializer_list< std::initializer_list< T > > > > &il)
tensor4_basic< T > & | operator= (const tensor4_basic< T > &a)
tensor4_basic< T > & | operator= (const T &val)
T & | operator() (size_type i, size_type j, size_type k, size_type l)
const T & | operator() (size_type i, size_type j, size_type k, size_type l) const
tensor_basic< T > & | operator() (size_type i, size_type j)
const tensor_basic< T > & | operator() (size_type i, size_type j) const
tensor4_basic< T > | operator* (const T &k) const
tensor4_basic< T > | operator/ (const T &k) const
tensor4_basic< T > | operator+ (const tensor4_basic< T > &b) const
tensor4_basic< T > | operator- (const tensor4_basic< T > &b) const
tensor4_basic< T > & | operator+= (const tensor4_basic< T > &)
tensor4_basic< T > & | operator-= (const tensor4_basic< T > &)
tensor4_basic< T > & | operator*= (const T &k)
tensor4_basic< T > & | operator/= (const T &k)
std::ostream & | put (std::ostream &out, size_type d=3) const

## Static Public Member Functions

static tensor4_basic< T > | eye (size_type d=3)

## Protected Attributes

tensor_basic< tensor_basic< T > > | _x

## Member Typedef Documentation

## size_type

template<class T >

typedef size_t size_type

Definition at line 83 of file tensor4.h.

## element_type

template<class T >

typedef T element_type

Definition at line 84 of file tensor4.h.

## float_type

template<class T >

typedef T float_type

Definition at line 85 of file tensor4.h.

## Constructor & Destructor Documentation

## tensor4_basic() [1/4]

template<class T >

tensor4_basic | ( |  | ) |

Definition at line 160 of file tensor4.h.

## tensor4_basic() [2/4]

template<class T >

tensor4_basic | ( | const T & | init_val | ) |

explicit

Definition at line 166 of file tensor4.h.

## tensor4_basic() [3/4]

template<class T >

tensor4_basic | ( | const tensor4_basic< T > & | a | ) |

Definition at line 172 of file tensor4.h.

## tensor4_basic() [4/4]

template<class T >

tensor4_basic | ( | const std::initializer_list< std::initializer_list< std::initializer_list< std::initializer_list< T > > > > & | il | ) |

Definition at line 64 of file tensor4.cc.

## Member Function Documentation

## eye()

template<class T >

tensor4_basic< T > eye | ( | size_type | d = `3` | ) |

static

Definition at line 29 of file tensor4.cc.

## operator=() [1/2]

template<class T >

tensor4_basic< T > & operator= | ( | const tensor4_basic< T > & | a | ) |

Definition at line 114 of file tensor4.cc.

## operator=() [2/2]

template<class T >

tensor4_basic< T > & operator= | ( | const T & | val | ) |

Definition at line 103 of file tensor4.cc.

## operator()() [1/4]

template<class T >

T & operator() | ( | size_type | i,
|  | size_type | j,
|  | size_type | k,
|  | size_type | l
| ) |  |

Definition at line 194 of file tensor4.h.

## operator()() [2/4]

template<class T >

const T & operator() | ( | size_type | i,
|  | size_type | j,
|  | size_type | k,
|  | size_type | l
| ) |  | const

Definition at line 201 of file tensor4.h.

## operator()() [3/4]

template<class T >

tensor_basic< T > & operator() | ( | size_type | i,
|  | size_type | j
| ) |  |

Definition at line 180 of file tensor4.h.

## operator()() [4/4]

template<class T >

const tensor_basic< T > & operator() | ( | size_type | i,
|  | size_type | j
| ) |  | const

Definition at line 187 of file tensor4.h.

## operator*()

template<class T >

tensor4_basic< T > operator* | ( | const T & | k | ) | const

Definition at line 208 of file tensor4.h.

## operator/()

template<class T >

tensor4_basic< T > operator/ | ( | const T & | k | ) | const

Definition at line 228 of file tensor4.h.

## operator+()

template<class T >

tensor4_basic< T > operator+ | ( | const tensor4_basic< T > & | b | ) | const

Definition at line 125 of file tensor4.cc.

## operator-()

template<class T >

tensor4_basic< T > operator- | ( | const tensor4_basic< T > & | b | ) | const

Definition at line 138 of file tensor4.cc.

## operator+=()

template<class T >

tensor4_basic< T > & operator+= | ( | const tensor4_basic< T > & | b | ) |

Definition at line 151 of file tensor4.cc.

## operator-=()

template<class T >

tensor4_basic< T > & operator-= | ( | const tensor4_basic< T > & | b | ) |

Definition at line 162 of file tensor4.cc.

## operator*=()

template<class T >

tensor4_basic< T > & operator*= | ( | const T & | k | ) |

Definition at line 173 of file tensor4.cc.

## operator/=()

template<class T >

tensor4_basic< T > & operator/= | ( | const T & | k | ) |

Definition at line 119 of file tensor4.h.

## put()

template<class T >

std::ostream & put | ( | std::ostream & | out,
|  | size_type | d = `3`
| ) |  | const

Definition at line 198 of file tensor4.cc.

## Member Data Documentation

## _x

template<class T >

tensor_basic<tensor_basic<T> > _x

protected

Definition at line 127 of file tensor4.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/fem/geo_element/tensor4.h
- /build/rheolef-mDkPTY/rheolef-7.2/fem/geo_element/tensor4.cc